Skip to content

distribution のタイプ ​

すべての distribution には タイプ があります。公開するものの形を表し、アナリティクスの可否を決めます。どのコンバージョンゴールを置けるか、ファネルにその distribution を含められるか、個人データの扱いの厳しさです。

値は site、page、embed_script、embed_iframe、data です。省略時のタイプは site です。

作成と更新の JSON フィールドは content_kind です。エージェントにはタイプを尋ね、API を呼ぶときは content_kind を送ってください。

タイプは template(static-site、embed-script、strict-security)や distribution_type(現在は常に static)とは独立しています。テンプレートはヘッダーとキャッシュの既定値を選びます。タイプは設定しません。embed-script テンプレートでも、自分で embed_script を指定しない限りタイプは site のままです。

タイプ一覧 ​

タイプ用途
site複数ページの HTML サイト。既定。
page単一の HTML ページ。
embed_script訪問者が他人のホスト名で読み込むスクリプト。
embed_iframe訪問者が他人のホスト名で読み込む iframe。
data機械が読むファイル(JSON、フィード)。人のセッションはない。

ゴール ​

合わないゴールは空のまま置かれるのではなく、拒否されます。

ゴールsitepageembed_scriptembed_iframedata
pageviewyesyesnonono
custom_eventyesyesyesyesno
form_submissionyesyesyesyesno
outbound_linkyesyesallowedallowedno
file_downloadyesyesallowedallowedno
not_foundyesyesallowedallowedno

embed では、外部リンク、ダウンロード、not-found のゴールは許可されますが、既定の提案ではありません。

data はゴールを受け付けません。それらの distribution のリクエスト数は、コンソールの Logs ページ、または edge_log_list に残ります。

ファネル ​

data 以外のタイプはファネルのステップになれます。data メンバーを含むファネルは拒否されます。

distribution をまたぐジャーニー — embed のあとに site 上のサンクスページ — はグループに置きます。ファネルを作る を参照してください。

embed と個人データ ​

embed_script と embed_iframe では、訪問者は第三者のホストにいます。PII の扱いは redact が上限で、これらのタイプでは allow は使えません。

embed は、読み込まれたホスト(embed_host)もリクエストの origin から記録します。

設定する ​

text
slug が acme-chat、template が embed-script、タイプが embed_script の
静的 distribution を作成して。
bash
edge distributions create --slug acme-chat --template embed-script --content-kind embed_script
bash
curl -s -X POST https://api.edge.deca-dev.com/v1/distributions \
  -H "Authorization: Bearer $EDGE_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
        "slug": "acme-chat",
        "distribution_type": "static",
        "template": "embed-script",
        "content_kind": "embed_script"
      }'

エージェントは edge_distribution_create を実行します。あとからタイプを変えるのは、config.content_kind を設定する distribution の更新です。

あわせて読む ​